Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## csv files

Syntax:

         set datafile separator {whitespace | tab | comma | "chars"}

"csv" is short for "comma-separated values". The term "csv file" is loosely applied to files in which data fields are delimited by a specific character, not necessarily a comma. To read data from a csv file you must tell gnuplot what the field-delimiting character is. For instance to read from a file using semicolon as a field delimiter:

         set datafile separator ";"

See set datafile separator. This applies only to files used for input. To create a csv file on output, use the corresponding separator option to set table.